APROPOS(1)

NUME
apropos - caută numele și descrierile paginii manualului

REZUMAT
apropos [-dalv?V] [-e|-w|-r] [-s list] [-m system[,...]] [-M path] [-L locale] [-C file] keyword ...

DESCRIERE
Fiecare pagină de manual are o descriere scurtă disponibilă înăuntrul acesteia. apropos caută descrierile pentru instanțe a keyword. keyword este de obicei o expresie regulată, ca și cum ar fi fost utilizat (-r) , sau poate să conțină metacaractere (-w), sau să se potrivească exact cu cuvântul cheie (-e). Utilizând aceste opțiuni, poate fi necesar să citați keyword sau să escapați (\) caracterele speciale pentru a stopa shellul din a le interpreta. Regulile de potrivire standard permit potrivirile să fie făcute împotriva numelui paginii și limitelor de cuvinte din descriere. Baza de date căutată de apropos este actualizată de programul mandb. În funcție de instalare, aceasta poate fi rulată de o slujbă cron periodică, sau poate fi necesar să fie rulată manual după ce au fost instalate paginii manuale.

OPȚIUNI

-d, --debug
    Tipărește informațiile de depanare.

-v, --verbose
    Tipărește mesajele de avertisment detaliate.

-r, --regex
    Interpretează fiecare cuvânt cheie ca o expresie regulată. Acesta este comportamentul implicit. Fiecare cuvânt cheie va fi potrivit împotriva numelui de pagină și descrierile independent. Poate să se potrivească cu orice parte ale amândurora. Potrivirea nu este limitată la limitele de cuvinte.

-w, --wildcard
    Interpretează fiecare cuvânt cheie ca un model care conține metacaractere în stil shell. Fiecare cuvânt cheie va fi potrivit împotriva numelui paginii și descrierilor independent. Dacă --exact este, de asemenea, utilizat, o potrivire va fi găsită doar dacă un cuvânt cheie expandat se potrivește unei întregi descrieri sau nume de pagină. În caz contrar, cuvântul cheie este, de asemenea, permis să se potrivească la limitele cuvântului în descriere.

-e, --exact
    Fiecare cuvânt cheie va fi potrivit exact împotriva numelui paginii și descrierilor.

-a, --and
    Afișează doar elemente care se potrivesc cu cuvintele cheie furnizate. Implicitul este să se afișeze elementele care se potrivesc oricărui cuvânt cheie.

-l, --long
    Nu aranja ieșirea la lățimea terminalului. În mod normal, ieșirea va fi trunchiată la lățimea terminalului pentru a evita rezultatele urâte de la secțiuni NAME scrise greșit.

-s list, --sections=list, --section=list
    Caută doar secțiunile de manual date. list este o listă de secțiuni separată prin două puncte sau virgulă. Dacă o intrare în list este o secțiune simplă, de exemplu „3”, atunci lista afișată de descrieri vor include pagini în secțiunile „3” „3perl”, „3x”, și așa mai departe; în timp ce dacă o intrare în list are o extensie, de exemplu „3perl”, atunci lista va include doar paginile în exact acea parte a secțiunii manualului.

-m system[,...], --systems=system[,...]
    Dacă acest sistem are acces la alte descrieri de pagini de manual al sistemului de operare, pot fi căutate utilizând această opțiune. Pentru a căuta descrierile paginii de manual NewOS, utilizați opțiunea -m NewOS. system specificat poate fi o combinație de nume de sisteme de operare delimitate de virgule. Pentru a include o căutare a descrierilor whatis native ale sistemelor de operare, include numele sistemului man în șirul de argument. Această opțiune va suprascrie variabila de mediu $SYSTEM.

-M path, --manpath=path
    Specifică un set alternativ de ierarhii de pagini de manual delimitate de virgule de căutat. În mod implicit, apropos utilizează variabila de mediu $MANPATH, decât dacă este goală sau nestabilită, în care caz aceasta va determina calea de manual potrivită bazată pe variabila de mediu $PATH. Această opțiune suprascrie conținutul al $MANPATH.

-L locale, --locale=locale
    apropos va determina în mod normal localizarea curentă printr-un apel la funcția C setlocale(3) care interoghează variabile de mediu variate, posibil incluzând $LC_MESSAGES și $LANG. Pentru a suprascrie temporar valoarea determinată, utilizați această opțiune pentru a furniza un șir locale direct la apropos. Observați că acest lucru nu va lua efect până când căutarea pentru pagini începe efectiv. Ieșirea precum mesajul de ajutor va fi totdeauna afișată în localizarea determinată inițial.

-C file, --config-file=file
    Utilizați acest fișier de configurare de utilizator decât implicitul ~/.manpath.

-?, --help
    Tipărește un mesaj de ajutor și ieși.

--usage
    Tipărește un mesaj de utilizare scurt și ieși.

-V, --version
    Afișează informațiile de versiune.

STARE DE IEȘIRE

0   Executare a programului cu succes.

1   Eroare de utilizare, sintaxă sau fișier de configurare.

2   Eroare operațională.

16  Nu s-a găsit nimic care să se potrivească cu criteriile specificate.

MEDIU

SYSTEM
    Dacă $SYSTEM este stabilit, aceasta va avea același efect ca și cum ar fi fost specificată ca argument la opțiunea -m.

MANPATH
    Dacă $MANPATH este stabilită, valoarea acesteia este interpretată ca ierarhia de pagină de manual de utilizat separată prin două puncte.

MANWIDTH
    Dacă $MANWIDTH este stabilită, valoarea acesteia este utilizată ca lățimea terminalului (consultați opțiunea --long). Dacă nu este stabilită, lățimea terminalului va fi calculată utilizând valoarea a $COLUMNS, și ioctl(2) dacă este disponibilă, sau se revine la 80 de caractere dacă orice altceva eșuează.

POSIXLY_CORRECT
    Dacă $POSIXLY_CORRECT este stabilită, chiar la o valoare null, căutarea implicită apropos va fi ca o expresie regulară extinsă (-r). În zilele de azi, acesta este comportamentul implicit oricum.

FIȘIERE

/usr/share/man/index.(bt|db|dir|pag)
    Un cache de bază de date index global tradițional.

/var/cache/man/index.(bt|db|dir|pag)
    Un cache de bază de dată index global conform cu FHS.

/usr/share/man/.../whatis
    O bază de date text whatis tradițională.

VEDEȚI ȘI
man(1), whatis(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECȚIUNI
https://savannah.nongnu.org/bugs/?group=man-db